import sys
import os
from math import exp
import ConfigParser
import numpy as np
import matplotlib
matplotlib.use('Agg')
import matplotlib.pyplot as plt
from densplot import hist2d


dcs = np.loadtxt("alanine12.ev")
dc1s = dcs[:,int(sys.argv[1])]
dc2s = dcs[:,int(sys.argv[2])]

dc1s, dc2s, z = hist2d.make(dc1s, dc2s, 100, 100, plot_style='scatter', free_energy_plot=True, idx_smoothing=3)
cp = plt.scatter(dc1s, dc2s, s=10, c=z*1.688, marker='o', linewidth=0.)

plt.xlabel('eigenvector '+str(int(sys.argv[1])), size=16)
plt.ylabel('eigenvector '+str(int(sys.argv[2])), size=16)

cb = plt.colorbar(cp)
pad = 10
cb.set_label(r'Free Energy [kT]',labelpad=pad,size=16)

plt.savefig('plot_ev.png', bbox_inches='tight')

